#Module-Specific definitions
%define mod_name mod_bw
%define mod_conf 32_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:        Bandwidth administration module for Apache HTTPD
Name:		apache-%{mod_name}
Version:	0.8
Release:	%mkrel 10
Group:		System/Servers
License:	Apache License
URL:		http://www.ivn.cl/apache/
Source0: 	http://prdownloads.sourceforge.net/bwmod/mod_bw-%{version}.tar.bz2
Source1:	%{mod_conf}
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_bw is a bandwidth administration module for Apache HTTPD 2.0.x

* Restrict the number of simultaneous connections per vhost/dir
* Limit the bandwidth for files on vhost/dir

%prep

%setup -q -n mod_bw

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE TODO mod_bw.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*


%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-10mdv2011.0
+ Revision: 678286
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-9mdv2011.0
+ Revision: 587944
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-8mdv2010.1
+ Revision: 516072
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-7mdv2010.0
+ Revision: 406556
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-6mdv2009.1
+ Revision: 325663
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-5mdv2009.0
+ Revision: 234826
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-4mdv2009.0
+ Revision: 215551
- fix rebuild

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-3mdv2008.1
+ Revision: 181707
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-2mdv2008.0
+ Revision: 82539
- rebuild

* Wed May 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-1mdv2008.0
+ Revision: 27178
- 0.8


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-4mdv2007.1
+ Revision: 140653
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-3mdv2007.1
+ Revision: 79359
- Import apache-mod_bw

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-3mdv2007.0
- rebuild

* Wed Apr 05 2006 Raphaël Gertz <rapsys@free.fr> 1:0.7-2mdk
- fix apr_atomic_add undefined symbol (consider that if
  APR_MAJOR_VERSION is not defined we have a > 1 version)
- Rename 32_mod_bw.conf config script and change it to keep it in iso8859-1

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-1mdk
- 0.7

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-1mdk
- 0.6
- fix versioning
- fix dl url

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.5-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.5-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.5-2mdk
- use the %%mkrel 1

* Wed Feb 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.5-1mdk
- initial Mandrakelinux package
- src.rpm file sent by Emre SOKULLU <esokullu@gmail.com> to the 
  cooker mailinglist, and polished by me.

